function plotaj_vt(broj, log)
close all
plot(log.ys(broj),log.xs(broj), '--r');
xlabel('y [m]');
ylabel('x [m]');
hold on
plot(log.y(broj),log.x(broj));
plot(log.y_hat(broj),log.x_hat(broj),'g');
legend Planirano GPS Kalman
hold off

figure
subplot(1,3,[1 2])
plot(log.psi(broj));
xlabel('vrijeme [0.1s]');
ylabel('psi [deg]');
hold on
plot(log.psi_hat(broj),'g');
legend psi psi_h_a_t
hold off
subplot(1,3,3)
plot(log.psi(round(length(broj)/2+40):round(length(broj)/2+89)));
xlabel('vrijeme [0.1s]');
ylabel('psi [deg]');
hold on
plot(log.psi_hat(round(length(broj)/2+40):round(length(broj)/2+89)),'g');
legend psi psi_h_a_t
hold off

figure
plot(log.x(broj),'--r');
xlabel('vrijeme [0.1s]');
ylabel('x i y [m]');
hold on
plot(log.x_hat(broj));
plot(log.y(broj),'--r');
plot(log.y_hat(broj),'g');
legend x x_h_a_t y y_h_a_t
hold off

figure
plot(log.u_hat(broj));
xlabel('vrijeme [0.1s]');
ylabel('u_h_a_t i v_h_a_t [m/s]');
hold on
plot(log.v_hat(broj),'g');
legend u_h_a_t v_h_a_t
hold off

figure
plot(log.xc(broj));
xlabel('vrijeme [0.1s]');
ylabel('x_c i y_c [m/s]');
hold on
plot(log.yc(broj),'g');
legend x_c y_c
hold off

figure
plot(log.u_total(broj));
xlabel('vrijeme [0.1s]');
ylabel('u_t_o_t_a_l i v_t_o_t_a_l [m/s]');
hold on
plot(log.v_total(broj),'g');
legend u_t_o_t_a_l v_t_o_t_a_l
hold off

% figure
% plot(log.r_hat(broj));
% hold on
% plot(log.r_ref(broj),'g');
% legend r_h_a_t r_r_e_f
% hold off
% 
% figure
% plot(log.s(broj));
% legend s
